#include<iostream>
#include<ctime>
#include<cstdlib>
using namespace std;
int main()
{
int A,N,v,y,i,o,x[v],random;
cin>>N;
A=25;
srand(time(0));
random=rand() % 23; 
v=3;
x[1]=25+random;
x[2]=25+random;
x[3]=N-(x[1] + x[2] );

cout<<A<<":"<<x[1] - A<<endl;
cout<<A<<":"<<x[2] - A<<endl;
cout<<A+2<<":"<<A<<endl;
}